> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Update triggers



## OpenAPI

````yaml /openapi/integrations.json put /v1/crm/integrations/wazzup/triggers/{id}/
openapi: 3.0.3
info:
  title: Yume API — Интеграции
  version: 1.0.0
  description: Подключение и управление внешними сервисами.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/integrations/wazzup/triggers/{id}/:
    put:
      tags:
        - wazzup
      summary: Update triggers
      operationId: wazzup_triggers_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WazzupTrigger'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/WazzupTrigger'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/WazzupTrigger'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WazzupTrigger'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    WazzupTrigger:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        documents:
          type: array
          items:
            type: integer
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        type:
          allOf:
            - $ref: '#/components/schemas/WazzupTriggerTypeEnum'
          minimum: -2147483648
          maximum: 2147483647
        order_status_from:
          nullable: true
          minimum: -32768
          maximum: 32767
          oneOf:
            - $ref: '#/components/schemas/OrderStatusFromEnum'
            - $ref: '#/components/schemas/NullEnum'
        order_status_to:
          nullable: true
          minimum: -32768
          maximum: 32767
          oneOf:
            - $ref: '#/components/schemas/OrderStatusToEnum'
            - $ref: '#/components/schemas/NullEnum'
        order_payment_status_from:
          nullable: true
          minimum: -32768
          maximum: 32767
          oneOf:
            - $ref: '#/components/schemas/OrderPaymentStatusFromEnum'
            - $ref: '#/components/schemas/NullEnum'
        order_payment_status_to:
          nullable: true
          minimum: -32768
          maximum: 32767
          oneOf:
            - $ref: '#/components/schemas/OrderPaymentStatusToEnum'
            - $ref: '#/components/schemas/NullEnum'
        sale_status_from:
          nullable: true
          minimum: -32768
          maximum: 32767
          oneOf:
            - $ref: '#/components/schemas/SaleStatusFromEnum'
            - $ref: '#/components/schemas/NullEnum'
        sale_status_to:
          nullable: true
          minimum: -32768
          maximum: 32767
          oneOf:
            - $ref: '#/components/schemas/SaleStatusToEnum'
            - $ref: '#/components/schemas/NullEnum'
        delivery_type:
          nullable: true
          minimum: -32768
          maximum: 32767
          oneOf:
            - $ref: '#/components/schemas/DeliveryTypeEnum'
            - $ref: '#/components/schemas/NullEnum'
        delivery_status:
          nullable: true
          minimum: -32768
          maximum: 32767
          oneOf:
            - $ref: '#/components/schemas/DeliveryStatusEnum'
            - $ref: '#/components/schemas/NullEnum'
        text:
          type: string
          nullable: true
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        template_id:
          type: string
          nullable: true
          maxLength: 255
        template_keys:
          type: array
          items:
            type: string
            maxLength: 255
          nullable: true
        timeout:
          type: string
        tenant:
          type: integer
          readOnly: true
      required:
        - created_at
        - id
        - tenant
        - updated_at
    WazzupTriggerTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
      type: integer
      description: |-
        * `0` - Аренда
        * `1` - Оплата аренды
        * `2` - Продажа
        * `3` - Доставка
    OrderStatusFromEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
      type: integer
      description: |-
        * `0` - Запрос
        * `1` - Забронировано
        * `2` - В аренде
        * `3` - Отменено
        * `4` - Завершено
        * `5` - Должник
        * `6` - Просрочка
    NullEnum:
      enum:
        - null
    OrderStatusToEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
      type: integer
      description: |-
        * `0` - Запрос
        * `1` - Забронировано
        * `2` - В аренде
        * `3` - Отменено
        * `4` - Завершено
        * `5` - Должник
        * `6` - Просрочка
    OrderPaymentStatusFromEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - Ожидается оплата
        * `1` - Оплата произведена
        * `2` - Частичная оплата
    OrderPaymentStatusToEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - Ожидается оплата
        * `1` - Оплата произведена
        * `2` - Частичная оплата
    SaleStatusFromEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - черновик
        * `1` - Продано
        * `2` - Отменено
    SaleStatusToEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - черновик
        * `1` - Продано
        * `2` - Отменено
    DeliveryTypeEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Доставка
        * `1` - Самовывоз
    DeliveryStatusEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
      type: integer
      description: |-
        * `0` - Ожидает
        * `1` - В работе
        * `2` - Доставлено
        * `3` - Отменено
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````